/*
*  Name:      TSqlerrorException.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   SQLERROR exception class
*  Date:      $Date: 2002/08/26 11:37:47 $
*  Revision:  $Revision: 1.2 $
*
*  Copyright (C) 2002  Rafael Jesus Alcantara Perez <rafa@dedalo-ing.com>
*/

///  Package name for MCM Model paradigm.
package org.uesqlc;

import java.lang.Exception;


///  SQLERROR exception class.
public class TSqlerrorException extends Exception
{
  
  //
  //  C O N S T R U C T O R S
  //

  public TSqlerrorException()
  {
    Throwable      tThrowable;
    StringBuffer   yMessage = new StringBuffer ("uesql: SQLERROR condition; ");

    yMessage.append (TState._getDescription (TState.SQLSTATE));
    tThrowable = new Throwable (yMessage.toString());
    initCause (tThrowable);
  }

}  // class TSqlerrorException
